curl --request GET \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/tasks/finished \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/tasks/finished"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/tasks/finished', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"skip": 1,
"limit": 1,
"data": [
{
"id": 123,
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_name": "<string>",
"event_id": {
"int32": 123,
"valid": true
},
"execution_time": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"status": -1,
"status_message": "<string>",
"session_collection": true,
"local_group_collection": true,
"ad_structure_collection": true,
"cert_services_collection": true,
"ca_registry_collection": true,
"dc_registry_collection": true,
"all_trusted_domains": true,
"domain_controller": "<string>",
"ous": [
{
"objectid": "<string>",
"name": "<string>",
"exists": true,
"distinguishedname": "<string>",
"type": "<string>"
}
],
"domains": [
{
"objectid": "<string>",
"name": "<string>",
"exists": true,
"type": "<string>"
}
],
"domain_results": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": {
"time": "2023-11-07T05:31:56Z",
"valid": true
},
"job_id": 123,
"domain_name": "<string>",
"success": true,
"message": "<string>",
"user_count": 123,
"group_count": 123,
"computer_count": 123,
"gpo_count": 123,
"ou_count": 123,
"container_count": 123,
"aiaca_count": 123,
"rootca_count": 123,
"enterpriseca_count": 123,
"ntauthstore_count": 123,
"certtemplate_count": 123,
"deleted_count": 123
}
]
}
]
}{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}List finished tasks
Deprecated: This endpoint will no longer be supported in future releases. Please use GET /api/v2/jobs/finished instead.
Authorizations
Authorization: Bearer $JWT_TOKEN
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$Query Parameters
Sortable columns are client_name, event_id, execution_time, status, start_time, end_time, log_path, domain_controller, event_title, last_ingest, id, created_at, updated_at, deleted_at.
Sort by column. Can be used multiple times; prepend a hyphen for descending order.
See parameter description for details about which columns are sortable.
Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter results by column boolean value. Valid filter predicates are eq, neq.
^((eq|neq):)?(t|T|TRUE|true|True|f|F|FALSE|false|False)$Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column string value. Valid filter predicates are eq, ~eq, neq.
^((eq|~eq|neq):)?[^:]+$Filter results by column string-formatted uuid value. Valid filter predicates are eq, neq.
^((eq|neq):)?[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$Filter results by column integer value. Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?-?[0-9]+$Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$When a value of true is passed, any Domains associated with scheduled and finished jobs for each client will have expanded properties including name and type. When a value of false is passed, these same Domains will only return as a list of objectids.
When a value of true is passed, any OUs associated with scheduled and finished jobs for each client will have expanded properties including name and type. When a value of false is passed, these same OUs will only return as a list of objectids.
Filter results by created_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by updated_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$Filter results by deleted_at value. See filter schema details for valid predicates.
Filter results by column timestamp value formatted as an RFC-3339 string.
Valid filter predicates are eq, neq, gt, gte, lt, lte.
^((eq|neq|gt|gte|lt|lte):)?[0-9]{4}-[0-9]{2}-[0-9]{2}[Tt][0-9]{2}:[0-9]{2}:[0-9]{2}(\.[0-9]{1,9})?([Zz]|-[0-9]{2}:[0-9]{2})$This query parameter is used for determining the number of objects to skip in pagination. The number of items to skip in a paginated response.
x >= 0This query parameter is used for setting an upper limit of objects returned in paginated responses. The limit of results requested by the client.
x >= 0